html {
	padding-top: 0;
}

body {
        position: relative;
        min-height: 100vh;
        padding-top: 40px;
}

body:before {
        position: absolute;
        content: "";
        z-index: 10;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba(0, 0, 0, 0.5);
        opacity: 0;
        visibility: hidden;
        -webkit-transition: .3s all ease-in-out;
        -o-transition: .3s all ease-in-out;
        transition: .3s all ease-in-out;
}

body.show-sidebar:before {
        opacity: 1;
        visibility: visible;
}

.navbar .navbar-toggler {
        display: none;
}

.sidebar {
        width: 300px;
        height: 100%;
        min-height: 100vh;
        top: 0;
        left: 0;
        z-index: 1001;
        position: fixed;
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        transform: translateX(-100%);
        background-color: #f6f6f6;
        -webkit-transition: 0.5s -webkit-transform cubic-bezier(0.23, 1, 0.32, 1);
        transition: 0.5s -webkit-transform cubic-bezier(0.23, 1, 0.32, 1);
        -o-transition: 0.5s transform cubic-bezier(0.23, 1, 0.32, 1);
        transition: 0.5s transform cubic-bezier(0.23, 1, 0.32, 1);
        transition: 0.5s transform cubic-bezier(0.23, 1, 0.32, 1), 0.5s -webkit-transform cubic-bezier(0.23, 1, 0.32, 1);
}

.show-sidebar .sidebar {
        -webkit-transform: translateX(0%);
        -ms-transform: translateX(0%);
        transform: translateX(0%);
        -webkit-box-shadow: 10px 0 30px 0 rgba(0, 0, 0, 0.1);
        box-shadow: 10px 0 30px 0 rgba(0, 0, 0, 0.1);
}

.sidebar .toggle {
        padding: 15px;
	top: 200px;
	background: #f6f6f6;
	border-top-right-radius: 42px;
	border-bottom-right-radius: 42px;
        border-top: 1px solid #3faeeb;
        border-right: 1px solid #3faeeb;
        border-bottom: 1px solid #3faeeb;
        position: absolute;
        right: 1px;
        -webkit-transform: translateX(100%);
        -ms-transform: translateX(100%);
        transform: translateX(100%);
}

.sidebar .side-inner {
        padding: 0;
        height: 100vh;
        overflow-y: auto;
        border-right: 1px solid #3faeeb;
	-webkit-overflow-scrolling: touch;
}

.sidebar .logo {
        display: flex;
        flex-flow: column;
        justify-content: center;
        align-items: center;
}

.sidebar .logo .brasao-sidenav {
        width: 90px;
}

.sidebar .side-inner .navbar {
        flex-flow: column;
        align-items: start;
        margin-bottom: 0;
        background: no-repeat;
        box-shadow: none;
}

@media only screen and (min-width: 768px) {
        .sidebar .side-inner .navbar {
                display: none;
        }
}

.sidebar .side-inner .navbar .nav-item {
        justify-content: start;
        list-style: none;
}

.sidebar .side-inner .navbar .nav-item a {
        padding: 2px !important;
}

.sidebar .side-inner .acesso {
	display: flex;
	justify-content: space-evenly;
        margin: 20px;
}

.sidebar .side-inner .perfil {
	display: flex;
	justify-content: space-evenly;
	flex-flow: column;
	font-size: 1.4em;
}

.sidebar .side-inner .bem-vindo {
	text-align: center;
}

.sidebar .side-inner .btn-editar-dados {
	margin: auto;
}

.sidebar .side-inner .favoritos-container {
        border: 1px solid darkgray;
        border-radius: 15px;
}

.sidebar .side-inner .favoritos-links a {
	max-width: 100%;
	text-align: left;
	white-space: initial;
        color: inherit;
        font-size: 1.1em;
}

.sidebar .side-inner .favoritos-links a:hover {
        text-decoration: none;
}

.sidebar .side-inner .perfil .link-validacao p {
        padding-left: 20px;
        font-size: 0.8em
}

.burger {
        width: 28px;
        height: 32px;
        cursor: pointer;
        position: relative;
        z-index: 99;
        float: right;
	right: 4px;
}

.burger:before, .burger span, .burger:after {
        width: 100%;
        height: 2px;
        display: block;
        background: #3faeeb;
        border-radius: 2px;
        position: absolute;
        opacity: 1;
}

.burger:before, .burger:after {
        -webkit-transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1), -webkit-transform 0.35s cubic-bezier(0.23, 1, 0.32, 1);
        transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1), -webkit-transform 0.35s cubic-bezier(0.23, 1, 0.32, 1);
        -o-transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), transform 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1);
        transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), transform 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1);
        transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), transform 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1), -webkit-transform 0.35s cubic-bezier(0.23, 1, 0.32, 1);
        -webkit-transition: top 0.35s cubic-bezier(0.23, 1, 0.32, 1), -webkit-transform 0.35s cubic-bezier(0.23, 1, 0.32, 1), opacity 0.35s cubic-bezier(0.23, 1, 0.32, 1), background-color 1.15s cubic-bezier(0.86, 0, 0.07, 1);
        content: "";
}

.burger:before {
        top: 6px;
}

.burger span {
        top: 15px;
}

.burger:after {
        top: 24px;
}

.burger:hover:before {
        top: 7px;
}

.burger:hover:after {
        top: 23px;
}

.burger.active span {
        opacity: 0;
}

.burger.active:before, .burger.active:after {
        top: 40%;
}

.burger.active:before {
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=5); /*for IE*/
}

.burger.active:after {
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        filter: progid:DXImageTransform.Microsoft.BasicImage(rotation=-5); /*for IE*/
}

.burger:focus {
        outline: none;
}
